#
# Emdros Win32 Makefile for SWIG directory
#
# Makefile for Microsoft Visual C++ 5.0 (or compat)

# Will build a Win32 static library (non-debug) libmql.lib


!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

!INCLUDE ..\win32\config.mak

ALL:
!IF "$(SWIG_PYTHON)" == "yes"
	cd python 
	nmake /f win32.mak CFG="$(CFG)"
	cd ..
!ENDIF
!IF "$(SWIG_JAVA)" == "yes"
	cd java
	nmake /f win32.mak CFG="$(CFG)"
	cd ..
!ENDIF


CLEAN:
	cd python 
	nmake /f win32.mak CFG="$(CFG)" clean
	cd ..
	cd java 
	nmake /f win32.mak CFG="$(CFG)" clean
	cd ..

