# ---------------------
# Choose configuration:
# ---------------------

#CFG=PGSQL
CFG=MYSQL

# ----------------------------------------------
# Set one of the following paths 
# to wherever you have your PostgreSQL
# or MySQL (and ignore whichever isn't relevant)
# ----------------------------------------------
PGTOP=G:\temp\postgresql-7.4.1-3
MYSQLTOP=C:\mysql

# ----------------------------------------------
# 
# SWIG variables.
# 
# ----------------------------------------------

# Path to swig.exe from ..\SWIG\java etc.
SWIG_EXE=..\..\buildtools-win32\SWIG-1.3.21\swig.exe

# ----------------------------------------------
# SWIG Python support
# ----------------------------------------------

# uncomment to enable Python
#SWIG_PYTHON=yes

#PYTHON_INCLUDE : Set this to the directory that contains python.h
PYTHON_INCLUDE=f:\python23\include

# PYTHON_LIB : Set this to the python library including path for linking with
PYTHON_LIB=f:\python23\libs\python23.lib

# ----------------------------------------------
# SWIG Java upport
# ----------------------------------------------

# uncomment to enable Java
#SWIG_JAVA=yes

#SWIG_JDK_DIR : Set this to the top-level JDK directory
SWIG_JDK_DIR=F:\j2sdk142_nb\j2sdk1.4.2



# ----------------------------------------------
# The following just sets some variables.
# Don't touch unless you know what you are doing!
# ----------------------------------------------

!IF "$(CFG)"=="PGSQL"

DBINCLUDE=/I "$(PGTOP)\src\include" \
      /I "$(PGTOP)\src\interfaces" \
      /I "$(PGTOP)\src\interfaces\libpq"
DBLIB="$(PGTOP)\src\interfaces\libpq\Release\libpqdll.lib" \
      "$(OUTDIR)\libpgemdf.lib" 
CPPFLAGS_EXTRA=/MT /nologo
LIBFLAGS=

!ELSE 

DBINCLUDE=/I "..\win32"
DBLIB="$(MYSQLTOP)\lib\opt\mysqlclient.lib" \
      "$(OUTDIR)\libmyemdf.lib" \
      "/NODEFAULTLIB:libc.lib"
CPPFLAGS_EXTRA=/MT  
LIBFLAGS="/NODEFAULTLIB:libc.lib" 



!ENDIF

# Set VERSION variable
VERSION=1.1.16
